Bug 1447245 (CVE-2017-8342) - CVE-2017-8342 radicale: Insufficient protection against timing oracles and bruteforce attacks
Summary: CVE-2017-8342 radicale: Insufficient protection against timing oracles and br...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-8342
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1447246 1447247
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-02 08:32 UTC by Andrej Nemec
Modified: 2019-09-29 14:11 UTC (History)
3 users (show)

Fixed In Version: radicale 1.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:11:46 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-05-02 08:32:26 UTC
Radicale before 1.1.2 is prone to timing oracles and simple brute-force attacks when using the htpasswd authentication method.

References:

https://github.com/Kozea/Radicale/blob/1.1.2/NEWS.rst

Upstream patch:

https://github.com/Kozea/Radicale/commit/190b1dd795f0c552a4992445a231da760211183b

Comment 1 Andrej Nemec 2017-05-02 08:33:10 UTC
Created radicale tracking bugs for this issue:

Affects: epel-7 [bug 1447246]
Affects: fedora-all [bug 1447247]

Comment 2 Product Security DevOps Team 2019-06-08 03:11:46 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.